Subject: Re: [PATCHv2 net-next 2/3] bonding: restructure ad_churn_machine

From: Jakub Kicinski <[email-masked]>
Date: Tue, 20 Jan 2026 15:11:09 -0800

On Tue, 20 Jan 2026 09:29:14 +0100 Paolo Abeni wrote:
> On 1/19/26 9:22 PM, Jakub Kicinski wrote:
> > On Wed, 14 Jan 2026 06:49:20 +0000 Hangbin Liu wrote:  
> >> The current ad_churn_machine implementation only transitions the
> >> actor/partner churn state to churned or none after the churn timer expires.
> >> However, IEEE 802.1AX-2014 specifies that a port should enter the none
> >> state immediately once the actor’s port state enters synchronization.  
> > 
> > Paolo, how do you feel about his patch with 2+ weeks until final?
> > The first patch is definitely suitable for net. If this one is not
> > it should not have a Fixes tag. I'd lean towards getting them all
> > into -rc7 if we can.  
> 
> My personal preference would be for 2/3 landing into net-next: the code
> looks correct to me, but refactor has IMHO still to much potential for
> regressions do land directly into net and the blamed commit is quite old.
> 
> I suggested targeting net-next while retaining the Fixes tag as we
> already had complex fixes landing into net-next in the past.

The appropriate way to delay propagation of the fix to add:

Cc: <[email-masked]> # after 4 weeks

not to merge things into -next.